Bug 1738468 - python-txzmq: Remove (sub)packages from Fedora 31+: python2-txzmq
Summary: python-txzmq: Remove (sub)packages from Fedora 31+: python2-txzmq
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-txzmq
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1737633
Blocks: PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-07 09:13 UTC by Miro Hrončok
Modified: 2019-09-14 16:30 UTC (History)
9 users (show)

Fixed In Version: python-txzmq-0.8.0-11.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:06:41 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-07 09:13:24 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-txzmq were marked for removal:

 * python2-txzmq

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 31).

Please don't do this for Fedora 30, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-08-07 09:15:02 UTC
This was needed by python2-moksha-hub. Please let us know if it is still needed.

Comment 2 Ben Cotton 2019-08-13 17:04:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 17:34:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Lumír Balhar 2019-08-15 06:51:31 UTC
Please, keep the python2- subpackage in rawhide for a while. We might need to get python2-moksha-hub back.

Comment 5 Miro Hrončok 2019-08-15 07:41:04 UTC
ack

Comment 6 Miro Hrončok 2019-08-28 13:22:19 UTC
> We might need to get python2-moksha-hub back.

Everything that depended on python2-moksha-hub was removed. May I proceed?

Comment 7 Lumír Balhar 2019-08-28 13:30:13 UTC
(In reply to Miro Hrončok from comment #6)
> > We might need to get python2-moksha-hub back.
> 
> Everything that depended on python2-moksha-hub was removed. May I proceed?

Yes, please

Comment 8 Fedora Update System 2019-08-28 14:23:35 UTC
FEDORA-2019-e302a586f4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e302a586f4

Comment 9 Fedora Update System 2019-08-30 12:17:02 UTC
python-txzmq-0.8.0-11.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e302a586f4

Comment 10 Fedora Update System 2019-09-14 00:06:41 UTC
python-txzmq-0.8.0-11.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-14 16:30:57 UTC
python-txzmq-0.8.0-11.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.